<!DOCTYPE html>
<html>
   <head>
      <title>The jQuery </title>
      <script type = "text/javascript" 
         src = "https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
      <script>
          $(document).ready(function() {
            $("#driver").click(function(event){
              // $.get('json/nations.xml', function(jd, index) {
               $.ajax({
                url: "json/restaurants.xml",
                type: 'GET',
                dataType: 'xml',
                success: function(data){
                    parseXml(data);

                }
               });

            });
         });
         function parseXml(xml){
             var format = $(xml).find("formatted_address");
                    var result = "<span>Address: "+ format.text()+"<br>";
           console.log(result);

             var location = $(xml).find("location");
                result += "Latitude: "+location.find("lat").text()+ " Longitude: "+location.find("lng").text() +"</span>";
              $('#stage').html(result);
         }
      </script>
   </head>
   <body>
      <p>Click on the button to load result.json file</p>
      <div id = "stage" style = "background-color:yellow">STAGE</div>
      <input type = "button" id = "driver" value = "Load Data" />
   </body>
</html>
